#These refer to the installer, not the main package:
# Using https://github.com/robxu9/spotify-make/commits/devel
# https://github.com/robxu9/spotify-make/commit/a0048ec7c5c6acf4ca584348684150b91328227d
%global commit      62e266b593e4031a9a9209fbd17f287cc4cfb7a5
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global repo        http://repository.spotify.com/pool/non-free/s/spotify-client

# We cannot strip this binary (licensing restrictions).
%global debug_package %{nil}
%global __os_install_post \
    %(echo '%{__os_install_post}' | sed -e '/brp-strip/d')


Name:           spotify-client
Version:        1.2.9.743
Release:        1%{?dist}
Summary:        Spotify music player native client

# board=http://community.spotify.com/t5/Desktop-Linux
# $board/What-license-does-the-linux-spotify-client-use/td-p/173356
License:        No modification permitted, non-redistributable
URL:            https://www.spotify.com/se/download/linux/
Group:          Applications/Multimedia
ExclusiveArch:  %{ix86} x86_64

Source0:        spotify-make-%{shortcommit}.tar.gz

%ifarch x86_64
Source1:        %{repo}/spotify-client_%{version}.g85d9593d_amd64.deb
%global   spotify_pkg   %{SOURCE1}
%global   req_64        ()(64bit)
%else
Source2:        %{repo}/spotify-client_1.0.72.117.g6bd7cc73-35_i386.deb
%global   spotify_pkg   %{SOURCE2}
%endif

BuildRequires:  desktop-file-utils
BuildRequires:  python2-devel
BuildRequires:  redhat-lsb-core

Requires:       dbus-x11
Requires:       hicolor-icon-theme
                # Symlinked, not picked up by autorequire (all 5).
Requires:       libnspr4.so%{?req_64}
Requires:       libplc4.so%{?req_64}
Requires:       libsmime3.so%{?req_64}
Requires:       libnssutil3.so%{?req_64}
Requires:       libnss3.so%{?req_64}
Requires:       python2
Requires:       zenity
Requires:       glibc-langpack-en

Provides:       spotify = %{version}-%{release}
# https://lists.rpmfusion.org/pipermail/rpmfusion-developers/2012-November/013934.html
Provides:       bundled(libssl) = 0.9.8

%description
Think of Spotify as your new music collection. Your library. Only this time
your collection is vast: millions of tracks and counting.  Spotify comes in
all shapes and sizes, available for your PC, Mac, home audio system and
mobile phone. Wherever you go, your music follows you. And because the music
plays live, there’s no need to wait for downloads and no big dent in your
hard drive.

# Bundled, we should not Provide these. Cannot use %%filter
# due to BZ 873847. Instead, use builtin filtering:
# http://rpm.org/wiki/PackagerDocs/DependencyGenerator
%global __provides_exclude_from  ^%{_libdir}/spotify-client/.*[.]so|%{_datadir}/spotify-client/.*[.]so

# Filter away the deps om bundled libs and those substituted
# by symlinks and explicit Requires:.
%global __requires_exclude                     ^libssl.so.1.0.0
%global __requires_exclude %__requires_exclude|^libcrypto.so.1.0.0
%global __requires_exclude %__requires_exclude|^libcef.so
#global __requires_exclude #__requires_exclude|^libudev.so.0
#global __requires_exclude #__requires_exclude|^libgcrypt.so.11
%global __requires_exclude %__requires_exclude|^libcurl.so.4
%global __requires_exclude %__requires_exclude|^libcurl-gnutls.so.4
%global __requires_exclude %__requires_exclude|^libwidevinecdm.so.*
#global __requires_exclude #__requires_exclude|[.]so[.][0-2][a-f]


%prep
%setup -qn spotify-make-%{commit}


%build
./configure --prefix=/usr --libdir=%{_libdir} --package=%{spotify_pkg}


%install
%make_install
# the hack https://forums.kleientertainment.com/topic/50011-centos-redhat-libcurl-gnutls-workaround/
cd %{buildroot}%{_libdir}/spotify-client
ln -s ../libcurl.so.4 libcurl-gnutls.so.4


%files
#doc opt/spotify/spotify-client/licenses.xhtml
#doc opt/spotify/spotify-client/readme.fedora
%doc usr/share/doc/spotify-client/changelog.gz
%{_libdir}/spotify-client
%{_bindir}/spotify
%{_mandir}/man1/spotify.*
%{_datadir}/applications/spotify.desktop
%{_datadir}/icons/hicolor/*/apps/spotify-client.png
%{_datadir}/spotify-client
%{_datadir}/appdata/spotify.xml


%changelog
* Mon May 29 2023 Sérgio Basto <sergio@serjux.com> - 1.2.9.743-1
- Update to 1.2.9.743.g85d9593d

* Mon Apr 03 2023 Sérgio Basto <sergio@serjux.com> - 1.2.8.923-1
- Update to 1.2.8.923.g4f94bf0d

* Tue May 03 2022 Sérgio Basto <sergio@serjux.com> - 1.1.84.716-1
- Update to 1.1.84.716.gc5f8b819

* Sat Mar 26 2022 Sérgio Basto <sergio@serjux.com> - 1.1.80.699-1
- Update to 1.1.80.699.gc3dac750

* Wed Nov 24 2021 Sérgio Basto <sergio@serjux.com> - 1.1.72.439-1
- Update to 1.1.72.439.gc253025e

* Sun Sep 26 2021 Sérgio Basto <sergio@serjux.com> - 1.1.68.632-1
- Update to 1.1.68.632.g2b11de83

* Thu Sep 02 2021 Sérgio Basto <sergio@serjux.com> - 1.1.67.586-1
- Update to 1.1.67.586.gbb5ef64e

* Thu Apr 29 2021 Leigh Scott <leigh123linux@gmail.com> - 1.1.56.595-1
- Update to 1.1.56.595.g2d2da0de

* Tue Mar 23 2021 Sérgio Basto <sergio@serjux.com> - 1.1.55.498-1
- Update to 1.1.55.498.gf9a83c60

* Fri Sep 18 2020 Sérgio Basto <sergio@serjux.com> - 1.1.42.622-1
- Update to 1.1.42.622.gbd112320

* Mon Apr 27 2020 Sérgio Basto <sergio@serjux.com> - 1.1.26.501-1
- Update to 1.1.26.501.gbe11e53b

* Fri Oct 18 2019 Sérgio Basto <sergio@serjux.com> - 1.1.10.546-3
- Fix commit of spotify-make in spotify-client.spec.in

* Thu Jul 25 2019 Leigh Scott <leigh123linux@gmail.com> - 1.1.10.546-1
- Update to 1.1.10.546.ge08ef575

* Sun May 05 2019 Sérgio Basto <sergio@serjux.com> - 1.1.5.153-1
- Update to 1.1.5.153.gf614956d

* Sat Feb 16 2019 Sérgio Basto <sergio@serjux.com> - 1.1.0.237-1
- Update to 1.1.0.237.g378f6f25

* Tue Jan 29 2019 Sérgio Basto <sergio@serjux.com> - 1.0.98.78-1
- Update to 1.0.98.78.gb45d2a6b

* Sat Jan 12 2019 Sérgio Basto <sergio@serjux.com> - 1.0.96.181-1
- Update to 1.0.96.181.gf6bc1b6b

* Tue Dec 11 2018 Sérgio Basto <sergio@serjux.com> - 1.0.94.262-1
- Update to 1.0.94.262.g3d5c231c

* Sat Oct 27 2018 Sérgio Basto <sergio@serjux.com> - 1.0.92.390-1
- Update to 1.0.92.390.g2ce5ec7d

* Thu Sep 20 2018 Sérgio Basto <sergio@serjux.com> - 1.0.89.313-1
- Update to 1.0.89.313.g34a58dea

* Fri Aug 31 2018 Sérgio Basto <sergio@serjux.com> - 1.0.88.353-1
- Update to 1.0.88.353.g15c26ea1

* Tue Jun 26 2018 Sérgio Basto <sergio@serjux.com> - 1.0.80.480-1
- Update to 1.0.80.480.g51b03ac3

* Fri May 04 2018 Sérgio Basto <sergio@serjux.com> - 1.0.79.223-1
- Update to 1.0.79.223.g92622cc2

* Thu Apr 12 2018 Sérgio Basto <sergio@serjux.com> - 1.0.77.338-2
- Requires exclude libcurl-gnutls.so.4 and centos-redhat-libcurl-gnutls-workaround

* Wed Apr 11 2018 Sérgio Basto <sergio@serjux.com> - 1.0.77.338-1
- Update to 1.0.77.338.g758ebd78

* Sun Mar 25 2018 Sérgio Basto <sergio@serjux.com> - 1.0.77.336-1
- Update to 1.0.77.336.g0d3547d9

* Sat Mar 03 2018 Sérgio Basto <sergio@serjux.com> - 1.0.72.117-1
- Update to 1.0.72.117.g6bd7cc73

* Tue Jan 09 2018 Sérgio Basto <sergio@serjux.com> - 1.0.70.399-1
- Update to 1.0.70.399.g5ffabd56

* Mon Jan 01 2018 Sérgio Basto <sergio@serjux.com> - 1.0.69.336-1
- Update to 1.0.69.336.g7edcc575

* Sun Nov 26 2017 Sérgio Basto <sergio@serjux.com> - 1.0.67.582-1
- Update to 1.0.67.582.g19436fa3

* Sat Nov 04 2017 Sérgio Basto <sergio@serjux.com> - 1.0.66.478-1
- Update to 1.0.66.478.g1296534d

* Tue Oct 24 2017 Sérgio Basto <sergio@serjux.com> - 1.0.64.407-1
- Update to 1.0.64.407.g9bd02c2d

* Thu Aug 31 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 1.0.59.395-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 21 2017 Sérgio Basto <sergio@serjux.com> - 1.0.59.395-1
- Update to 1.0.59.395.ge6ca9946

* Sat Jun 24 2017 Sérgio Basto <sergio@serjux.com> - 1.0.57.474-2
- do src.rpm just to work in the same arch that was build and just download one
  source instead 2

* Sat Jun 24 2017 Sérgio Basto <sergio@serjux.com> - 1.0.57.474-1
- Update to 1.0.57.474.gca9c9538

* Wed May 24 2017 Sérgio Basto <sergio@serjux.com> - 1.0.55.487-1
- Update to 1.0.55.487.g256699aa

* Mon May 15 2017 Sérgio Basto <sergio@serjux.com> - 1.0.53.758-2
- Improve version numbers

* Sat Apr 15 2017 Sérgio Basto <sergio@serjux.com> - 1.0.53-1
- Update to 1.0.53.758

* Sun Mar 26 2017 RPM Fusion Release Engineering <kwizart@rpmfusion.org> - 1.0.49-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Mar 13 2017 Pedro Albuquerque Santos <petersaints@gmail.com.com> - 1.0.49-2
- Update to spotify-client_1.0.49.125.g72ee7853-111_amd64.deb and spotify-client_1.0.49.125.g72ee7853-22_i386.deb

* Sun Feb 12 2017 Sérgio Basto <sergio@serjux.com> - 1.0.49-1
- Update to 1.0.49

* Wed Feb 01 2017 Sérgio Basto <sergio@serjux.com> - 1.0.48-1
- Update to 1.0.48

* Tue Jan 17 2017 Sérgio Basto <sergio@serjux.com> - 1.0.47-1
- Update to 1.0.47

* Tue Dec 20 2016 Sérgio Basto <sergio@serjux.com> - 1.0.45-1
- Update to 1.0.45

* Wed Dec 14 2016 Sérgio Basto <sergio@serjux.com> - 1.0.44-1
- Update to 1.0.44

* Tue Dec 06 2016 Sérgio Basto <sergio@serjux.com> - 1.0.43-1
- Update to 1.0.43

* Thu Nov 10 2016 Sérgio Basto <sergio@serjux.com> - 1.0.42.151.g19de0aa6-1
- Update to 1.0.42.151.g19de0aa6

* Sun Sep 18 2016 Sérgio Basto <sergio@serjux.com> - 1.0.37.152.gc83ea995-1
- Update to 1.0.37.152.gc83ea995_42

* Wed Aug 31 2016 Sérgio Basto <sergio@serjux.com> - 1.0.36.120.g536a862f-2
- Add license tag

* Fri Jul 29 2016 Sérgio Basto <sergio@serjux.com> - 1.0.32.96.g3c8a06e6-1
- Update Spotify to 1.0.32.96.g3c8a06e6-37 for amd64, -3 for i386
- Remove require ffmpeg-compat

* Wed May 06 2015 Sérgio Basto <sergio@serjux.com> - 0.9.17.1.g9b85d43.7-1
- Update to 0.9.17.1.g9b85d43.7 and fix rfbz #3408

* Fri Nov 21 2014 leamas.alec@gmail.com - 0.9.11.27.g2b1a638.81-2
- Fix typo (#3408)

* Tue Oct 28 2014 leamas.alec@gmail.com - 0.9.11.27.g2b1a638.81-1
- Rebuilt for latest X86_64 upstream + bundled libgrypt.so.11.

* Tue Feb 18 2014 Alec Leamas <leamas.alec@gmail.com> - 0.9.4.183.g644e24e.428-8
- Adding missing R:ffmpeg-compat and R:python2.

* Sun Jan 12 2014 Alec Leamas <leamas.alec@gmail.com> - 0.9.4.183.g644e24e.428-7
- Added missing Requires: dbus-x11

* Sat Oct 12 2013 Alec Leamas <leamas@nowhere.net> - 0.9.4.183.g644e24e.428-4
- Updating to latest spotify-make.
- Still more fixes for directory layout.

* Sat Oct 12 2013 Alec Leamas <leamas@nowhere.net> - 0.9.4.183.g644e24e.428-3
- Updating to latest spotify-make
- Fixes for directory layout in 0.9.4, notably SpotifyHelper in Data.

* Fri Oct 11 2013 Alec Leamas <leamas@nowhere.net> - 0.9.4.183.g644e24e.428-2
- Updating to latest spotify-make
- New spotify release
- Filter new bundled libudev.so.0.

* Mon Jun 17 2013 Alec Leamas <leamas@nowhere.net> - 0.9.1.55.gbdd3b79.203-1
- Updating to latest spotify-make
- New upstream version

* Sun May 05 2013 Alec Leamas <leamas@nowhere.net> - 0.9.0.133.gd18ed58.259-2
- Updating to latest spotify-make.

* Fri May 03 2013 Alec Leamas <leamas@nowhere.net> - 0.9.0.133.gd18ed58.259-1
- Updating to new upstream release

* Fri Jan 04 2013 Alec Leamas <leamas@nowhere.net> - 0.8.8.323.gd143501.250-5
- Rebase to current spotify-make

* Fri Jan 04 2013 Alec Leamas <leamas@nowhere.net> - 0.8.8.323.gd143501.250-4
- Using separate installer providing make install and check-deps, clean up.
- Fixing bad strip if binary

* Fri Jan 04 2013 Alec Leamas <leamas@nowhere.net> - 0.8.8.323.gd143501.250-3
- Install icons properly.
. Reverted rel 2 Icons fix.
- Remove ~/.cache/spotify first time new version runs.

* Fri Jan 04 2013 Alec Leamas <leamas@nowhere.net> - 0.8.8.323.gd143501.250-2
- Added missing Icons link.

* Thu Jan 03 2013 Alec Leamas <leamas@nowhere.net> - 0.8.8.323.gd143501.250-1
- Updating to latest upstream version.

* Thu Dec 20 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-5
- Handle also i386 architecture, F18 uses i386 instead of i686.

* Tue Nov 20 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-4
- Made explicit deps requiring 64-bit libs as required.
- Fixed symlinks (rebase error, old version used).
- Removed explicit GConf2 requirement, not needed.
- Updating license.

* Tue Nov 20 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-3
- Fixed %%install bug (%%buildroot not created before use).
- Wrong path fed to ldd in %%build fixed.

* Tue Nov 13 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-2
- Removing BR: chrpath.
- Cleaning up some shell code.
- Removing explicit libpn12 requirement (works after libcef.se is 755).
- Adding Provides: bundled(...) for libssl.

* Mon Nov 12 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-2
- Handling review remarks...
- Made spotify.sh separate source.
- Updated symlinking of libs: explicit requires + check in %%build, no
  %%ghost, simplified %%files.
- Added manpage.
- Use LD_LIBRARY_PATH instead of rpath.
- Updated wrapper script to handle known bugs.

* Tue Nov 6 2012 Alec Leamas <leamas@nowhere.net> - 0.8.4.103.g9cb177b.260-1
- Initial version


